com.threerings.whirled.zone.data

## Class SceneSummary

- java.lang.Object
- - com.threerings.whirled.zone.data.SceneSummary

All Implemented Interfaces:
  com.threerings.io.Streamable

    public class SceneSummary
    extends Object
    implements com.threerings.io.Streamable

The scene summary class is used to provide info about the connected group of scenes that make up a zone. The group of scenes that make up a zone is a self-contained set of scenes, connected with one another (by portals) but not to any scenes outside the group.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`String` `name` The name of this scene.
`int[]` `neighborDirs` The directions in which each of the neighbors lay.
`int[]` `neighbors` The ids of the scenes to which this scene is connected via portals.
`int` `sceneId` The id of this scene.

### Constructor Summary

Constructors
Constructor and Description
`SceneSummary()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sceneId

    public int sceneId

The id of this scene.

#### name

    public String name

The name of this scene.

#### neighbors

    public int[] neighbors

The ids of the scenes to which this scene is connected via portals.

#### neighborDirs

    public int[] neighborDirs

The directions in which each of the neighbors lay.

### Constructor Detail

#### SceneSummary

    public SceneSummary()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`